| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions
LT_SMBusPec Class Reference

## Detailed Description

Definition at line 61 of file LT_SMBusPec.h.

Inheritance diagram for LT_SMBusPec:

## Public Member Functions
| LT_SMBusPec ()
| LT_SMBusPec (uint32_t speed)
virtual | ~LT_SMBusPec ()
Public Member Functions inherited from LT_SMBusBase
LT_I2CBus * | i2cbus (void)
void | i2cbus (LT_I2CBus *i2cbus)
void | writeByte (uint8_t address, uint8_t command, uint8_t data)
| SMBus write byte command. More...
void | writeBytes (uint8_t *addresses, uint8_t *commands, uint8_t *data, uint8_t no_addresses)
| SMBus write byte command for a list of addresses. More...
uint8_t | readByte (uint8_t address, uint8_t command)
| SMBus read byte command. More...
void | writeWord (uint8_t address, uint8_t command, uint16_t data)
| SMBus write word command. More...
uint16_t | readWord (uint8_t address, uint8_t command)
| SMBus read word command. More...
void | writeBlock (uint8_t address, uint8_t command, uint8_t *block, uint16_t block_size)
| SMBus write block command. More...
uint8_t | writeReadBlock (uint8_t address, uint8_t command, uint8_t *block_out, uint16_t block_out_size, uint8_t *block_in, uint16_t block_in_size)
| SMBus write then read block command. More...
uint8_t | readBlock (uint8_t address, uint8_t command, uint8_t *block, uint16_t block_size)
| SMBus read block command. More...
void | sendByte (uint8_t address, uint8_t command)
| SMBus send byte command. More...
uint8_t | readAlert (void)
| Perform ARA. More...
uint8_t | waitForAck (uint8_t address, uint8_t command)
| Read with the address and command in loop until ack, then issue stop. More...
uint8_t * | probe (uint8_t command)
| SMBus bus probe. More...
uint8_t * | probeUnique (uint8_t command)
| SMBus bus probe. More...
Public Member Functions inherited from LT_SMBus
virtual | ~LT_SMBus ()
bool | pecEnabled (void)
| Check if PEC is enabled. More...
void | pecClear (void)
| Clear the pec value so it can start a new calculation. More...
void | pecAdd (uint8_t byte_value)
| Add a byte to the pec calculation. More...
uint8_t | pecGet (void)
| Get the current pec result. More...
bool | checkCRC (uint8_t *data)
| Check CRC of block data organized as 31 data bytes plus CRC. More...
uint8_t | getCRC (uint8_t *data)
| Get CRC of block data organized as 31 bytes pluse CRC. More...
uint8_t | calculate (uint8_t *data, uint8_t begining_value, uint8_t start_index, uint8_t length)
| Helper function for pec. More...

## Additional Inherited Members
Protected Member Functions inherited from LT_SMBusBase
| LT_SMBusBase ()
| LT_SMBusBase (uint32_t speed)
virtual | ~LT_SMBusBase ()
Protected Member Functions inherited from LT_SMBus
void | constructTable (uint16_t user_polynomial)
| Initialize the table used to speed up pec calculations. More...
uint8_t | doCalculate (uint8_t data, uint8_t begining_value)
| Helper function for pec. More...
| LT_SMBus ()
Protected Attributes inherited from LT_SMBusBase
LT_I2CBus * | i2cbus_
Protected Attributes inherited from LT_SMBus
bool | pec_enabled_
uint8_t | running_pec_
| Temporary pec calc value. More...
unsigned char | poly_
| The poly used in the calc. More...
uint16_t | crc_polynomial_
| The crc poly used in the calc. More...
Static Protected Attributes inherited from LT_SMBusBase
static bool | open_ = false
| Used to ensure initialisation of i2c once. More...
static uint8_t | found_address_ []

## Constructor & Destructor Documentation

## ◆ LT_SMBusPec() [1/2]

LT_SMBusPec::LT_SMBusPec | ( |  | ) |

Definition at line 59 of file LT_SMBusPec.cpp.

## ◆ LT_SMBusPec() [2/2]

LT_SMBusPec::LT_SMBusPec | ( | uint32_t | speed | ) |

Definition at line 64 of file LT_SMBusPec.cpp.

## ◆ ~LT_SMBusPec()

virtual LT_SMBusPec::~LT_SMBusPec | ( |  | ) |
| virtual

Definition at line 67 of file LT_SMBusPec.h.

The documentation for this class was generated from the following files:

- LT_SMBusPec.h
- LT_SMBusPec.cpp